package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.dto.TenantOrderRecordDto;
import com.ym.mec.biz.dal.entity.TenantOrderRecord;
import com.ym.mec.common.page.PageInfo;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * 机构付款记录表(TenantOrderRecord)表服务接口
 *
 * @author hgw
 * @since 2021-12-20 10:08:28
 */
public interface TenantOrderRecordService extends IService<TenantOrderRecord> {

    PageInfo<TenantOrderRecord> queryPage(TenantOrderRecordDto dto);

    Map<String, Object> checkTenantOrder(String orderNo);

    Map<String, Object> checkTenantOrder(TenantOrderRecord orderRecord);

    void checkTenantOrder();

    /**
     * 激活团练宝成功
     *
     * @param record     机构订单记录
     */
    void activeCloudTeacher(TenantOrderRecord record);

    void rechargeSuccess(TenantOrderRecord record);

    String callback(HttpServletRequest request);

}

